public with sharing class accListExt {
    
    private final Account acc;
    ApexPages.StandardSetController setCon;
    
    public PageReference init() {
        
        PageReference p = null;
        Integer index = 0;
        String queryString = '';
        
        for ( Account o : (Account[])setCon.getSelected() )
        {
            if(index > 0){
                queryString += ',';
            }
            
            index++;
            queryString += String.valueOf(o.Id);
        }
        
        String redirectUrl = '/apex/doco__VF18_MassGenerate?ids=' + queryString;
        System.debug('redirectUrl = ' + redirectUrl);
        
        if(index > 0){
            p = new PageReference(redirectUrl);
        }  
        
        return p;
        
    }
    
    public accListExt(ApexPages.StandardSetController controller) 
    {
        this.setCon = controller;
        this.acc = (Account)controller.getRecord();
    }
    
}